Simplified.ID API: v2

<back to all web services

GetAccountStatus

Account
The following routes are available for this service:
GET/account/statusGet account status
import java.math.*;
import java.util.*;
import java.io.InputStream;
import net.servicestack.client.*;

public class dtos
{

    @DataContract
    public static class GetAccountStatus extends BaseRequest
    {
        
    }

    @DataContract
    public static class BaseRequest implements IBaseRequest
    {
        /**
        * The authentication credentials
        */
        @DataMember
        @ApiMember(Description="The authentication credentials", IsRequired=true, ParameterType="header, body")
        public Authentication authentication = null;
        
        public Authentication getAuthentication() { return authentication; }
        public BaseRequest setAuthentication(Authentication value) { this.authentication = value; return this; }
    }

    @DataContract
    public static class Authentication
    {
        /**
        * The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)
        */
        @DataMember
        @ApiMember(Description="The API User ID provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-User)", IsRequired=true, ParameterType="header, body")
        public String apiUserId = null;

        /**
        * The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)
        */
        @DataMember
        @ApiMember(Description="The API User Key provided by us when you signed up to use our API. Can be provided in the request body, or as a header parameter (X-Api-Key)", IsRequired=true, ParameterType="header, body")
        public String apiUserKey = null;

        /**
        * The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).
        */
        @DataMember
        @ApiMember(Description="The User ID of the user making the request (e.g. a sub user). This is optional but can be used to associate API requests with a specific user, thereby allowing user permissions to be enforced. Can be provided in the body, or as a header parameter (X-User-Id).", ParameterType="header, body")
        public String userId = null;
        
        public String getApiUserId() { return apiUserId; }
        public Authentication setApiUserId(String value) { this.apiUserId = value; return this; }
        public String getApiUserKey() { return apiUserKey; }
        public Authentication setApiUserKey(String value) { this.apiUserKey = value; return this; }
        public String getUserId() { return userId; }
        public Authentication setUserId(String value) { this.userId = value; return this; }
    }

    @DataContract
    public static class GetAccountStatusResponse
    {
        /**
        * The response data
        */
        @DataMember
        @ApiMember(Description="The response data")
        public GetAccountStatusData data = null;
        
        public GetAccountStatusData getData() { return data; }
        public GetAccountStatusResponse setData(GetAccountStatusData value) { this.data = value; return this; }
    }

    public static class GetAccountStatusData extends BaseResponse
    {
        /**
        * The account status information
        */
        @ApiMember(Description="The account status information")
        public AccountStatus accountStatus = null;
        
        public AccountStatus getAccountStatus() { return accountStatus; }
        public GetAccountStatusData setAccountStatus(AccountStatus value) { this.accountStatus = value; return this; }
    }

    public static class BaseResponse implements IBaseDataResponse, IHasResponseStatus
    {
        /**
        * The status of the response
        */
        @ApiMember(Description="The status of the response")
        public ResponseStatus responseStatus = null;
        
        public ResponseStatus getResponseStatus() { return responseStatus; }
        public BaseResponse setResponseStatus(ResponseStatus value) { this.responseStatus = value; return this; }
    }

    public static class ArrayOfResponseError extends ArrayList<ResponseError>
    {
        
    }

    public static class AccountStatus
    {
        /**
        * The account status (e.g. Unpaid, Active, Expired)
        */
        @ApiMember(Description="The account status (e.g. Unpaid, Active, Expired)")
        public String status = null;

        /**
        * The account type (e.g. live, developer, demo)
        */
        @ApiMember(Description="The account type (e.g. live, developer, demo)")
        public String type = null;

        /**
        * The account Expiry Date
        */
        @ApiMember(Description="The account Expiry Date")
        public Date expiryDate = null;

        /**
        * The account Expiry Date as a string in ISO 8601 format
        */
        @ApiMember(Description="The account Expiry Date as a string in ISO 8601 format")
        public String expiryDateUniversal = null;

        /**
        * The account balance
        */
        @ApiMember(Description="The account balance")
        public BigDecimal balance = null;

        /**
        * The account search credit balance
        */
        @ApiMember(Description="The account search credit balance")
        public Long creditBalance = null;

        /**
        * The account DBS credit balance
        */
        @ApiMember(Description="The account DBS credit balance")
        public Integer dbsBasicCreditBalance = null;

        /**
        * The list of enabled products for this account
        */
        @ApiMember(Description="The list of enabled products for this account")
        public ArrayList<String> products = null;

        /**
        * The list of enabled capabilities for this account
        */
        @ApiMember(Description="The list of enabled capabilities for this account")
        public ArrayList<String> capabilities = null;
        
        public String getStatus() { return status; }
        public AccountStatus setStatus(String value) { this.status = value; return this; }
        public String getType() { return type; }
        public AccountStatus setType(String value) { this.type = value; return this; }
        public Date getExpiryDate() { return expiryDate; }
        public AccountStatus setExpiryDate(Date value) { this.expiryDate = value; return this; }
        public String getExpiryDateUniversal() { return expiryDateUniversal; }
        public AccountStatus setExpiryDateUniversal(String value) { this.expiryDateUniversal = value; return this; }
        public BigDecimal getBalance() { return balance; }
        public AccountStatus setBalance(BigDecimal value) { this.balance = value; return this; }
        public Long getCreditBalance() { return creditBalance; }
        public AccountStatus setCreditBalance(Long value) { this.creditBalance = value; return this; }
        public Integer getDbsBasicCreditBalance() { return dbsBasicCreditBalance; }
        public AccountStatus setDbsBasicCreditBalance(Integer value) { this.dbsBasicCreditBalance = value; return this; }
        public ArrayList<String> getProducts() { return products; }
        public AccountStatus setProducts(ArrayList<String> value) { this.products = value; return this; }
        public ArrayList<String> getCapabilities() { return capabilities; }
        public AccountStatus setCapabilities(ArrayList<String> value) { this.capabilities = value; return this; }
    }

}

Java GetAccountStatus DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .json suffix or ?format=json

To embed the response in a jsonp callback, append ?callback=myCallback

HTTP + JSON

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /account/status HTTP/1.1 
Host: api.simplified.id 
Accept: application/json
HTTP/1.1 200 OK
Content-Type: application/json
Content-Length: length

{"data":{"accountStatus":{"status":"String","type":"String","expiryDate":"\/Date(-62135596800000-0000)\/","expiryDateUniversal":"String","balance":0,"creditBalance":0,"dbsBasicCreditBalance":0,"products":["String"],"capabilities":["String"]},"responseStatus":{"errorCode":"String","message":"String","stackTrace":"String","errors":[{"errorCode":"String","fieldName":"String","message":"String","meta":{"String":"String"}}],"meta":{"String":"String"}}}}